package eng;

import java.util.ArrayList;

public class Input {
	
	private ArrayList<Integer> keysDown;
	
	private boolean[] mouseButtons;
	private double mouseScroll;
	
	private double mousePositionX;
	private double mousePositionY;
	
	public Input() {
		
		keysDown = new ArrayList<Integer>();
		
		mouseButtons = new boolean[3];
		
		for(int i = 0; i < 3; i++)
			mouseButtons[i] = false;
		
		mouseScroll = 0;
	}
	
	public void setKeysDown(ArrayList<Integer> keysDown) {
		this.keysDown = keysDown;
	}
	
	public ArrayList<Integer> getKeysDown() {
		return keysDown;
	}
	
	public void setMouseButtons(boolean[] mouseButtons) {
		this.mouseButtons = mouseButtons;
	}
	
	public boolean[] getMouseButtons() {
		return mouseButtons;
	}
	
	public void setMouseScroll(double mouseScroll) {
		this.mouseScroll = mouseScroll;
	}
	
	public double getMouseScroll() {
		return -mouseScroll;
	}
	
	public void setMousePositionX(double mousePositionX) {
		this.mousePositionX = mousePositionX;
	}
	
	public double getMousePositionX() {
		return mousePositionX;
	}
	
	public void setMousePositionY(double mousePositionY) {
		this.mousePositionY = mousePositionY;
	}
	
	public double getMousePositionY() {
		return mousePositionY;
	}
}